<?php

/*----------------------------------------------------------+
| PHP-Fusion Content Management System                      |
| Copyright (C) 2002 - 2010 Nick Jones                      |
| http://www.php-fusion.co.uk/                              |
+-----------------------------------------------------------+
| This program is released as free software under the       |
| Affero GPL license. You can redistribute it and/or        |
| addonify it under the terms of this license which you     |
| can read by viewing the included agpl.txt or online       |
| at http://www.gnu.org/licenses/agpl.html. Removal of this |
| copyright header is strictly prohibited without           |
| written permission from the original author(s).           |
+----------------------------------------------------------*/

/*----------------------------------------------------------+
|             F-Book for PHP-Fusion v7                      |
+-----------------------------------------------------------+
| Filename: theme.php                                       |
| Author: Ankur Thakur                                      |
| Author Web: http://ankurthakur.co.cc/                     |
|             http://www.php-fusion.in/                     |
+-----------------------------------------------------------+
| This theme is released under the terms and conditions     |
| of the GNU Affero GPL v3.                                 |
+----------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "");

require_once INCLUDES."theme_functions_include.php";

function render_page($license = false) {
	
	global $settings, $main_style, $locale, $userdata, $aidlink;

	if (file_exists(THEME."locale/".$settings['locale'].".php")) {
		include THEME."locale/".$settings['locale'].".php";
	}

	//Header
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='left' style='position:absolute; background: transparent; width: 50%; margin-top: 2px; margin-left: 5px;'>\n<form action='/search.php' method='get'>
		<input type='text' name='stext' class='searchfield' value='' size='40' />
		<input type='submit' value='Search' style='font-family: Tahoma; letter-spacing: 1px; font-style: italic; border: 1px solid #000; background-color: #fff;' />
		</form>\n</td></tr>";
	echo "<tr><td class='top-user-bar'>\n";

	if(iMEMBER) {

	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");

	echo "<ul>";
		echo "<li class='white'><a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'><span>".$locale['fb_01']."</span></a></li>\n
		<li class='white'><a href='".BASEDIR."edit_profile.php'><span>".$locale['fb_02']."</span></a></li>\n";

		if (isset($msg_count) && $msg_count !=0)
		{
			echo "<li class='white'><a href='".BASEDIR."messages.php'><span>".$locale['fb_03']."&#40;".$msg_count."&#41;</span></a></li>";
		}
		else
		{
			echo "<li class='white'><a href='".BASEDIR."messages.php'><span>".$locale['fb_03']."&#40;0&#41;</span></a></li>";
		}

		echo "<li class='white'><a href='".BASEDIR."members.php'><span>".$locale['fb_04']."</span></a></li>\n";

		if (iADMIN)
		{
			echo "<li class='white'><a href='".BASEDIR."administration/index.php".$aidlink."'><span>".$locale['fb_05']."</span></a></li>\n";
		}

		echo "<li class='white'><a href='".BASEDIR."setuser.php?logout=yes'><span>".$locale['fb_06']."</span></a></li>\n
	</ul>";
	}
	else
	{
		echo "<form name='loginform' method='post' action='".FUSION_SELF."'>\n";
		echo $locale['global_101']." "."<input type='text' name='user_name' class='textbox' style='width:100px' />\n";
		echo $locale['global_102']." "."<input type='password' name='user_pass' class='textbox' style='width:100px' />\n";
		echo "<input type='checkbox' name='remember_me' value='y' class='checkbox' title='".$locale['global_103']."' style='vertical-align:middle;' />\n";
		echo "<input type='submit' name='login' value='".$locale['global_104']."' class='button' />\n";
		echo "</form>\n";
	}

	echo "</td></tr>\n<tr>\n";
	echo "<td class='full-header'>\n".showbanners()."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='sub-header'>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";
	echo "<td align='right' class='sub-header'>".showsubdate()."</td>\n";
	echo "</tr>\n</table>\n";
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='sub-header-left'></td>\n";
	echo "<td align='left' class='sub-header'>&nbsp;".showrendertime()."</td>\n";
	echo "<td align='center' class='sub-header'>Theme Designed by <a href='http://ankurthakur.co.cc/' target='_blank' class='white'><b>Ankur Thakur</b></a></td>\n";
	echo "<td align='right' class='sub-header'>".showcounter()."</td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='center' class='main-footer'>".stripslashes($settings['footer']);
	if (!$license) { echo "<br />\n".showcopyright(); }
	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newscat($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";

}
?>
